* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Quicksand", sans-serif;
}
body {
  background: linear-gradient(to right, #d1913c, #ffd194);
}
main {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.5em;
}
.header-calc {
  margin: 1em;
  width: 100%;
  max-width: 300px;
  font-size: 20px;
  margin-left: 2em;
}
.header-calc > h1 {
  margin-bottom: 0.5em;
}
.calc-container {
  background-color: #22252d;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.301);
  width: 100%;
  max-width: 450px;
  height: 850px;
  margin-top: 1em;
  border-radius: 20px;
}
.display-scr {
  height: 35%;
  padding: 1em;
  color: white;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
  font-size: 35px;
}
.display-scr > h4 {
  font-weight: 500;
  font-size: 24px;
}
.display-scr > h4 > span {
  margin: 0 10px;
  color: rgb(209, 81, 81);
}
#opr_scr_res {
  height: 50px;
}
.calc-controls {
  background-color: #2e323b;
  height: 65%;
  border-radius: 20px;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(5, 1fr);
  grid-gap: 7%;
  padding: 2em;
}

.calc-controls > button {
  background-color: #22252d;
  border-radius: 10px;
  border: none;
  color: white;
  cursor: pointer;
  font-size: 24px;
  box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.253);
  transition: background-color 0.3s;
}
.calc-controls > button:hover {
  background-color: #22252d60;
}

.calc-controls > button:active {
  background-color: #1a1c22;
}

@media screen and (max-width: 810px) {
  main {
    flex-direction: column-reverse;
  }
  .header-calc {
    font-size: 12px;
  }
  .calc-controls {
    grid-gap: 5%;
  }
}
